workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "pipeline"'
  script: echo "This job runs in multi-project pipelines only"

image: alpine

system-test-simple:
  stage: test
  script: echo "running system test..."

system-test-with-artifacts:
  stage: test
  script: 
    - echo "downloading upstream artifact and running system test..."
    - ls -lh
    - cat $ARTIFACTS_FILE
  needs:
    - project: vika.marzaeva/my-complex-tutorial-ci-cd
      job: $ARTIFACTS_JOB
      ref: main
      artifacts: true
  rules:
    - if: '$UPSTREAM_COMMIT_BRANCH && $UPSTREAM_COMMIT_BRANCH != "main"'
